unit schComisionesServer_Intf;

interface

uses
  Classes, DB, SysUtils, uROClasses, uDADataTable, uDABusinessProcessor, schComisionesClient_Intf;

const
  { Delta rules ids 
       Feel free to change them to something more human readable
       but make sure they are unique in the context of your application }
  RID_Facturas_ComisionDelta = '{80016781-B9E4-49D8-B7A6-09256F591FC2}';
  RID_DarReferenciaDelta = '{B5AAD341-FC85-4146-8DCB-97B869953385}';
  RID_ComisionesDelta = '{8AB7044C-6835-494A-A477-7FBF4270C7AE}';
  RID_Comisiones_RefreshDelta = '{501F63F6-C629-479D-AAC7-54026E38E40D}';
  RID_V_Detalles_Facturas_ComisionDelta = '{C7A1565B-19DF-4CA4-B4B9-4A63743484B7}';

type
  { IFacturas_ComisionDelta }
  IFacturas_ComisionDelta = interface(IFacturas_Comision)
  ['{80016781-B9E4-49D8-B7A6-09256F591FC2}']
    { Property getters and setters }
    function GetOldID_EMPRESAValue : Integer;
    function GetOldID_AGENTEValue : Integer;
    function GetOldAGENTEValue : String;
    function GetOldID_FACTURAValue : Integer;
    function GetOldID_COMISION_LIQUIDADAValue : Integer;
    function GetOldFECHAValue : DateTime;
    function GetOldREFERENCIAValue : String;
    function GetOldSITUACIONValue : String;
    function GetOldID_CLIENTEValue : Integer;
    function GetOldCLIENTEValue : String;
    function GetOldID_PROVEEDORValue : Integer;
    function GetOldPROVEEDORValue : String;
    function GetOldCOMISIONValue : Float;
    function GetOldIMPORTE_COMISIONABLEValue : Currency;
    function GetOldIMPORTE_COMISIONValue : Currency;

    { Properties }
    property OldID_EMPRESA : Integer read GetOldID_EMPRESAValue;
    property OldID_AGENTE : Integer read GetOldID_AGENTEValue;
    property OldAGENTE : String read GetOldAGENTEValue;
    property OldID_FACTURA : Integer read GetOldID_FACTURAValue;
    property OldID_COMISION_LIQUIDADA : Integer read GetOldID_COMISION_LIQUIDADAValue;
    property OldFECHA : DateTime read GetOldFECHAValue;
    property OldREFERENCIA : String read GetOldREFERENCIAValue;
    property OldSITUACION : String read GetOldSITUACIONValue;
    property OldID_CLIENTE : Integer read GetOldID_CLIENTEValue;
    property OldCLIENTE : String read GetOldCLIENTEValue;
    property OldID_PROVEEDOR : Integer read GetOldID_PROVEEDORValue;
    property OldPROVEEDOR : String read GetOldPROVEEDORValue;
    property OldCOMISION : Float read GetOldCOMISIONValue;
    property OldIMPORTE_COMISIONABLE : Currency read GetOldIMPORTE_COMISIONABLEValue;
    property OldIMPORTE_COMISION : Currency read GetOldIMPORTE_COMISIONValue;
  end;

  { TFacturas_ComisionBusinessProcessorRules }
  TFacturas_ComisionBusinessProcessorRules = class(TDABusinessProcessorRules, IFacturas_Comision, IFacturas_ComisionDelta)
  private
  protected
    { Property getters and setters }
    function GetID_EMPRESAValue: Integer; virtual;
    function GetOldID_EMPRESAValue: Integer; virtual;
    procedure SetID_EMPRESAValue(const aValue: Integer); virtual;
    function GetID_AGENTEValue: Integer; virtual;
    function GetOldID_AGENTEValue: Integer; virtual;
    procedure SetID_AGENTEValue(const aValue: Integer); virtual;
    function GetAGENTEValue: String; virtual;
    function GetOldAGENTEValue: String; virtual;
    procedure SetAGENTEValue(const aValue: String); virtual;
    function GetID_FACTURAValue: Integer; virtual;
    function GetOldID_FACTURAValue: Integer; virtual;
    procedure SetID_FACTURAValue(const aValue: Integer); virtual;
    function GetID_COMISION_LIQUIDADAValue: Integer; virtual;
    function GetOldID_COMISION_LIQUIDADAValue: Integer; virtual;
    procedure SetID_COMISION_LIQUIDADAValue(const aValue: Integer); virtual;
    function GetFECHAValue: DateTime; virtual;
    function GetOldFECHAValue: DateTime; virtual;
    procedure SetFECHAValue(const aValue: DateTime); virtual;
    function GetREFERENCIAValue: String; virtual;
    function GetOldREFERENCIAValue: String; virtual;
    procedure SetREFERENCIAValue(const aValue: String); virtual;
    function GetSITUACIONValue: String; virtual;
    function GetOldSITUACIONValue: String; virtual;
    procedure SetSITUACIONValue(const aValue: String); virtual;
    function GetID_CLIENTEValue: Integer; virtual;
    function GetOldID_CLIENTEValue: Integer; virtual;
    procedure SetID_CLIENTEValue(const aValue: Integer); virtual;
    function GetCLIENTEValue: String; virtual;
    function GetOldCLIENTEValue: String; virtual;
    procedure SetCLIENTEValue(const aValue: String); virtual;
    function GetID_PROVEEDORValue: Integer; virtual;
    function GetOldID_PROVEEDORValue: Integer; virtual;
    procedure SetID_PROVEEDORValue(const aValue: Integer); virtual;
    function GetPROVEEDORValue: String; virtual;
    function GetOldPROVEEDORValue: String; virtual;
    procedure SetPROVEEDORValue(const aValue: String); virtual;
    function GetCOMISIONValue: Float; virtual;
    function GetOldCOMISIONValue: Float; virtual;
    procedure SetCOMISIONValue(const aValue: Float); virtual;
    function GetIMPORTE_COMISIONABLEValue: Currency; virtual;
    function GetOldIMPORTE_COMISIONABLEValue: Currency; virtual;
    procedure SetIMPORTE_COMISIONABLEValue(const aValue: Currency); virtual;
    function GetIMPORTE_COMISIONValue: Currency; virtual;
    function GetOldIMPORTE_COMISIONValue: Currency; virtual;
    procedure SetIMPORTE_COMISIONValue(const aValue: Currency); virtual;

    { Properties }
    property ID_EMPRESA : Integer read GetID_EMPRESAValue write SetID_EMPRESAValue;
    property OldID_EMPRESA : Integer read GetOldID_EMPRESAValue;
    property ID_AGENTE : Integer read GetID_AGENTEValue write SetID_AGENTEValue;
    property OldID_AGENTE : Integer read GetOldID_AGENTEValue;
    property AGENTE : String read GetAGENTEValue write SetAGENTEValue;
    property OldAGENTE : String read GetOldAGENTEValue;
    property ID_FACTURA : Integer read GetID_FACTURAValue write SetID_FACTURAValue;
    property OldID_FACTURA : Integer read GetOldID_FACTURAValue;
    property ID_COMISION_LIQUIDADA : Integer read GetID_COMISION_LIQUIDADAValue write SetID_COMISION_LIQUIDADAValue;
    property OldID_COMISION_LIQUIDADA : Integer read GetOldID_COMISION_LIQUIDADAValue;
    property FECHA : DateTime read GetFECHAValue write SetFECHAValue;
    property OldFECHA : DateTime read GetOldFECHAValue;
    property REFERENCIA : String read GetREFERENCIAValue write SetREFERENCIAValue;
    property OldREFERENCIA : String read GetOldREFERENCIAValue;
    property SITUACION : String read GetSITUACIONValue write SetSITUACIONValue;
    property OldSITUACION : String read GetOldSITUACIONValue;
    property ID_CLIENTE : Integer read GetID_CLIENTEValue write SetID_CLIENTEValue;
    property OldID_CLIENTE : Integer read GetOldID_CLIENTEValue;
    property CLIENTE : String read GetCLIENTEValue write SetCLIENTEValue;
    property OldCLIENTE : String read GetOldCLIENTEValue;
    property ID_PROVEEDOR : Integer read GetID_PROVEEDORValue write SetID_PROVEEDORValue;
    property OldID_PROVEEDOR : Integer read GetOldID_PROVEEDORValue;
    property PROVEEDOR : String read GetPROVEEDORValue write SetPROVEEDORValue;
    property OldPROVEEDOR : String read GetOldPROVEEDORValue;
    property COMISION : Float read GetCOMISIONValue write SetCOMISIONValue;
    property OldCOMISION : Float read GetOldCOMISIONValue;
    property IMPORTE_COMISIONABLE : Currency read GetIMPORTE_COMISIONABLEValue write SetIMPORTE_COMISIONABLEValue;
    property OldIMPORTE_COMISIONABLE : Currency read GetOldIMPORTE_COMISIONABLEValue;
    property IMPORTE_COMISION : Currency read GetIMPORTE_COMISIONValue write SetIMPORTE_COMISIONValue;
    property OldIMPORTE_COMISION : Currency read GetOldIMPORTE_COMISIONValue;

  public
    constructor Create(aBusinessProcessor: TDABusinessProcessor); override;
    destructor Destroy; override;

  end;

  { IDarReferenciaDelta }
  IDarReferenciaDelta = interface(IDarReferencia)
  ['{B5AAD341-FC85-4146-8DCB-97B869953385}']
    { Property getters and setters }
    function GetOldVALORValue : String;

    { Properties }
    property OldVALOR : String read GetOldVALORValue;
  end;

  { TDarReferenciaBusinessProcessorRules }
  TDarReferenciaBusinessProcessorRules = class(TDABusinessProcessorRules, IDarReferencia, IDarReferenciaDelta)
  private
  protected
    { Property getters and setters }
    function GetVALORValue: String; virtual;
    function GetOldVALORValue: String; virtual;
    procedure SetVALORValue(const aValue: String); virtual;

    { Properties }
    property VALOR : String read GetVALORValue write SetVALORValue;
    property OldVALOR : String read GetOldVALORValue;

  public
    constructor Create(aBusinessProcessor: TDABusinessProcessor); override;
    destructor Destroy; override;

  end;

  { IComisionesDelta }
  IComisionesDelta = interface(IComisiones)
  ['{8AB7044C-6835-494A-A477-7FBF4270C7AE}']
    { Property getters and setters }
    function GetOldIDValue : Integer;
    function GetOldID_EMPRESAValue : Integer;
    function GetOldREFERENCIAValue : String;
    function GetOldID_AGENTEValue : Integer;
    function GetOldDESCRIPCIONValue : String;
    function GetOldFECHAValue : DateTime;
    function GetOldIMPORTE_TOTALValue : Float;
    function GetOldUSUARIOValue : String;
    function GetOldNOMBREValue : String;

    { Properties }
    property OldID : Integer read GetOldIDValue;
    property OldID_EMPRESA : Integer read GetOldID_EMPRESAValue;
    property OldREFERENCIA : String read GetOldREFERENCIAValue;
    property OldID_AGENTE : Integer read GetOldID_AGENTEValue;
    property OldDESCRIPCION : String read GetOldDESCRIPCIONValue;
    property OldFECHA : DateTime read GetOldFECHAValue;
    property OldIMPORTE_TOTAL : Float read GetOldIMPORTE_TOTALValue;
    property OldUSUARIO : String read GetOldUSUARIOValue;
    property OldNOMBRE : String read GetOldNOMBREValue;
  end;

  { TComisionesBusinessProcessorRules }
  TComisionesBusinessProcessorRules = class(TDABusinessProcessorRules, IComisiones, IComisionesDelta)
  private
  protected
    { Property getters and setters }
    function GetIDValue: Integer; virtual;
    function GetOldIDValue: Integer; virtual;
    procedure SetIDValue(const aValue: Integer); virtual;
    function GetID_EMPRESAValue: Integer; virtual;
    function GetOldID_EMPRESAValue: Integer; virtual;
    procedure SetID_EMPRESAValue(const aValue: Integer); virtual;
    function GetREFERENCIAValue: String; virtual;
    function GetOldREFERENCIAValue: String; virtual;
    procedure SetREFERENCIAValue(const aValue: String); virtual;
    function GetID_AGENTEValue: Integer; virtual;
    function GetOldID_AGENTEValue: Integer; virtual;
    procedure SetID_AGENTEValue(const aValue: Integer); virtual;
    function GetDESCRIPCIONValue: String; virtual;
    function GetOldDESCRIPCIONValue: String; virtual;
    procedure SetDESCRIPCIONValue(const aValue: String); virtual;
    function GetFECHAValue: DateTime; virtual;
    function GetOldFECHAValue: DateTime; virtual;
    procedure SetFECHAValue(const aValue: DateTime); virtual;
    function GetIMPORTE_TOTALValue: Float; virtual;
    function GetOldIMPORTE_TOTALValue: Float; virtual;
    procedure SetIMPORTE_TOTALValue(const aValue: Float); virtual;
    function GetUSUARIOValue: String; virtual;
    function GetOldUSUARIOValue: String; virtual;
    procedure SetUSUARIOValue(const aValue: String); virtual;
    function GetNOMBREValue: String; virtual;
    function GetOldNOMBREValue: String; virtual;
    procedure SetNOMBREValue(const aValue: String); virtual;

    { Properties }
    property ID : Integer read GetIDValue write SetIDValue;
    property OldID : Integer read GetOldIDValue;
    property ID_EMPRESA : Integer read GetID_EMPRESAValue write SetID_EMPRESAValue;
    property OldID_EMPRESA : Integer read GetOldID_EMPRESAValue;
    property REFERENCIA : String read GetREFERENCIAValue write SetREFERENCIAValue;
    property OldREFERENCIA : String read GetOldREFERENCIAValue;
    property ID_AGENTE : Integer read GetID_AGENTEValue write SetID_AGENTEValue;
    property OldID_AGENTE : Integer read GetOldID_AGENTEValue;
    property DESCRIPCION : String read GetDESCRIPCIONValue write SetDESCRIPCIONValue;
    property OldDESCRIPCION : String read GetOldDESCRIPCIONValue;
    property FECHA : DateTime read GetFECHAValue write SetFECHAValue;
    property OldFECHA : DateTime read GetOldFECHAValue;
    property IMPORTE_TOTAL : Float read GetIMPORTE_TOTALValue write SetIMPORTE_TOTALValue;
    property OldIMPORTE_TOTAL : Float read GetOldIMPORTE_TOTALValue;
    property USUARIO : String read GetUSUARIOValue write SetUSUARIOValue;
    property OldUSUARIO : String read GetOldUSUARIOValue;
    property NOMBRE : String read GetNOMBREValue write SetNOMBREValue;
    property OldNOMBRE : String read GetOldNOMBREValue;

  public
    constructor Create(aBusinessProcessor: TDABusinessProcessor); override;
    destructor Destroy; override;

  end;

  { IComisiones_RefreshDelta }
  IComisiones_RefreshDelta = interface(IComisiones_Refresh)
  ['{501F63F6-C629-479D-AAC7-54026E38E40D}']
    { Property getters and setters }
    function GetOldIDValue : Integer;
    function GetOldID_EMPRESAValue : Integer;
    function GetOldREFERENCIAValue : String;
    function GetOldID_AGENTEValue : Integer;
    function GetOldDESCRIPCIONValue : String;
    function GetOldFECHAValue : DateTime;
    function GetOldIMPORTE_TOTALValue : Float;
    function GetOldUSUARIOValue : String;
    function GetOldNOMBREValue : String;

    { Properties }
    property OldID : Integer read GetOldIDValue;
    property OldID_EMPRESA : Integer read GetOldID_EMPRESAValue;
    property OldREFERENCIA : String read GetOldREFERENCIAValue;
    property OldID_AGENTE : Integer read GetOldID_AGENTEValue;
    property OldDESCRIPCION : String read GetOldDESCRIPCIONValue;
    property OldFECHA : DateTime read GetOldFECHAValue;
    property OldIMPORTE_TOTAL : Float read GetOldIMPORTE_TOTALValue;
    property OldUSUARIO : String read GetOldUSUARIOValue;
    property OldNOMBRE : String read GetOldNOMBREValue;
  end;

  { TComisiones_RefreshBusinessProcessorRules }
  TComisiones_RefreshBusinessProcessorRules = class(TDABusinessProcessorRules, IComisiones_Refresh, IComisiones_RefreshDelta)
  private
  protected
    { Property getters and setters }
    function GetIDValue: Integer; virtual;
    function GetOldIDValue: Integer; virtual;
    procedure SetIDValue(const aValue: Integer); virtual;
    function GetID_EMPRESAValue: Integer; virtual;
    function GetOldID_EMPRESAValue: Integer; virtual;
    procedure SetID_EMPRESAValue(const aValue: Integer); virtual;
    function GetREFERENCIAValue: String; virtual;
    function GetOldREFERENCIAValue: String; virtual;
    procedure SetREFERENCIAValue(const aValue: String); virtual;
    function GetID_AGENTEValue: Integer; virtual;
    function GetOldID_AGENTEValue: Integer; virtual;
    procedure SetID_AGENTEValue(const aValue: Integer); virtual;
    function GetDESCRIPCIONValue: String; virtual;
    function GetOldDESCRIPCIONValue: String; virtual;
    procedure SetDESCRIPCIONValue(const aValue: String); virtual;
    function GetFECHAValue: DateTime; virtual;
    function GetOldFECHAValue: DateTime; virtual;
    procedure SetFECHAValue(const aValue: DateTime); virtual;
    function GetIMPORTE_TOTALValue: Float; virtual;
    function GetOldIMPORTE_TOTALValue: Float; virtual;
    procedure SetIMPORTE_TOTALValue(const aValue: Float); virtual;
    function GetUSUARIOValue: String; virtual;
    function GetOldUSUARIOValue: String; virtual;
    procedure SetUSUARIOValue(const aValue: String); virtual;
    function GetNOMBREValue: String; virtual;
    function GetOldNOMBREValue: String; virtual;
    procedure SetNOMBREValue(const aValue: String); virtual;

    { Properties }
    property ID : Integer read GetIDValue write SetIDValue;
    property OldID : Integer read GetOldIDValue;
    property ID_EMPRESA : Integer read GetID_EMPRESAValue write SetID_EMPRESAValue;
    property OldID_EMPRESA : Integer read GetOldID_EMPRESAValue;
    property REFERENCIA : String read GetREFERENCIAValue write SetREFERENCIAValue;
    property OldREFERENCIA : String read GetOldREFERENCIAValue;
    property ID_AGENTE : Integer read GetID_AGENTEValue write SetID_AGENTEValue;
    property OldID_AGENTE : Integer read GetOldID_AGENTEValue;
    property DESCRIPCION : String read GetDESCRIPCIONValue write SetDESCRIPCIONValue;
    property OldDESCRIPCION : String read GetOldDESCRIPCIONValue;
    property FECHA : DateTime read GetFECHAValue write SetFECHAValue;
    property OldFECHA : DateTime read GetOldFECHAValue;
    property IMPORTE_TOTAL : Float read GetIMPORTE_TOTALValue write SetIMPORTE_TOTALValue;
    property OldIMPORTE_TOTAL : Float read GetOldIMPORTE_TOTALValue;
    property USUARIO : String read GetUSUARIOValue write SetUSUARIOValue;
    property OldUSUARIO : String read GetOldUSUARIOValue;
    property NOMBRE : String read GetNOMBREValue write SetNOMBREValue;
    property OldNOMBRE : String read GetOldNOMBREValue;

  public
    constructor Create(aBusinessProcessor: TDABusinessProcessor); override;
    destructor Destroy; override;

  end;

  { IV_Detalles_Facturas_ComisionDelta }
  IV_Detalles_Facturas_ComisionDelta = interface(IV_Detalles_Facturas_Comision)
  ['{C7A1565B-19DF-4CA4-B4B9-4A63743484B7}']
    { Property getters and setters }
    function GetOldID_EMPRESAValue : Integer;
    function GetOldID_AGENTEValue : Integer;
    function GetOldAGENTEValue : String;
    function GetOldID_FACTURAValue : Integer;
    function GetOldID_COMISION_LIQUIDADAValue : Integer;
    function GetOldFECHAValue : DateTime;
    function GetOldREFERENCIAValue : String;
    function GetOldSITUACIONValue : String;
    function GetOldID_CLIENTEValue : Integer;
    function GetOldCLIENTEValue : String;
    function GetOldID_PROVEEDORValue : Integer;
    function GetOldPROVEEDORValue : String;
    function GetOldCOMISIONValue : Float;
    function GetOldIMPORTE_COMISIONABLEValue : Currency;
    function GetOldIMPORTE_COMISIONValue : Currency;

    { Properties }
    property OldID_EMPRESA : Integer read GetOldID_EMPRESAValue;
    property OldID_AGENTE : Integer read GetOldID_AGENTEValue;
    property OldAGENTE : String read GetOldAGENTEValue;
    property OldID_FACTURA : Integer read GetOldID_FACTURAValue;
    property OldID_COMISION_LIQUIDADA : Integer read GetOldID_COMISION_LIQUIDADAValue;
    property OldFECHA : DateTime read GetOldFECHAValue;
    property OldREFERENCIA : String read GetOldREFERENCIAValue;
    property OldSITUACION : String read GetOldSITUACIONValue;
    property OldID_CLIENTE : Integer read GetOldID_CLIENTEValue;
    property OldCLIENTE : String read GetOldCLIENTEValue;
    property OldID_PROVEEDOR : Integer read GetOldID_PROVEEDORValue;
    property OldPROVEEDOR : String read GetOldPROVEEDORValue;
    property OldCOMISION : Float read GetOldCOMISIONValue;
    property OldIMPORTE_COMISIONABLE : Currency read GetOldIMPORTE_COMISIONABLEValue;
    property OldIMPORTE_COMISION : Currency read GetOldIMPORTE_COMISIONValue;
  end;

  { TV_Detalles_Facturas_ComisionBusinessProcessorRules }
  TV_Detalles_Facturas_ComisionBusinessProcessorRules = class(TDABusinessProcessorRules, IV_Detalles_Facturas_Comision, IV_Detalles_Facturas_ComisionDelta)
  private
  protected
    { Property getters and setters }
    function GetID_EMPRESAValue: Integer; virtual;
    function GetOldID_EMPRESAValue: Integer; virtual;
    procedure SetID_EMPRESAValue(const aValue: Integer); virtual;
    function GetID_AGENTEValue: Integer; virtual;
    function GetOldID_AGENTEValue: Integer; virtual;
    procedure SetID_AGENTEValue(const aValue: Integer); virtual;
    function GetAGENTEValue: String; virtual;
    function GetOldAGENTEValue: String; virtual;
    procedure SetAGENTEValue(const aValue: String); virtual;
    function GetID_FACTURAValue: Integer; virtual;
    function GetOldID_FACTURAValue: Integer; virtual;
    procedure SetID_FACTURAValue(const aValue: Integer); virtual;
    function GetID_COMISION_LIQUIDADAValue: Integer; virtual;
    function GetOldID_COMISION_LIQUIDADAValue: Integer; virtual;
    procedure SetID_COMISION_LIQUIDADAValue(const aValue: Integer); virtual;
    function GetFECHAValue: DateTime; virtual;
    function GetOldFECHAValue: DateTime; virtual;
    procedure SetFECHAValue(const aValue: DateTime); virtual;
    function GetREFERENCIAValue: String; virtual;
    function GetOldREFERENCIAValue: String; virtual;
    procedure SetREFERENCIAValue(const aValue: String); virtual;
    function GetSITUACIONValue: String; virtual;
    function GetOldSITUACIONValue: String; virtual;
    procedure SetSITUACIONValue(const aValue: String); virtual;
    function GetID_CLIENTEValue: Integer; virtual;
    function GetOldID_CLIENTEValue: Integer; virtual;
    procedure SetID_CLIENTEValue(const aValue: Integer); virtual;
    function GetCLIENTEValue: String; virtual;
    function GetOldCLIENTEValue: String; virtual;
    procedure SetCLIENTEValue(const aValue: String); virtual;
    function GetID_PROVEEDORValue: Integer; virtual;
    function GetOldID_PROVEEDORValue: Integer; virtual;
    procedure SetID_PROVEEDORValue(const aValue: Integer); virtual;
    function GetPROVEEDORValue: String; virtual;
    function GetOldPROVEEDORValue: String; virtual;
    procedure SetPROVEEDORValue(const aValue: String); virtual;
    function GetCOMISIONValue: Float; virtual;
    function GetOldCOMISIONValue: Float; virtual;
    procedure SetCOMISIONValue(const aValue: Float); virtual;
    function GetIMPORTE_COMISIONABLEValue: Currency; virtual;
    function GetOldIMPORTE_COMISIONABLEValue: Currency; virtual;
    procedure SetIMPORTE_COMISIONABLEValue(const aValue: Currency); virtual;
    function GetIMPORTE_COMISIONValue: Currency; virtual;
    function GetOldIMPORTE_COMISIONValue: Currency; virtual;
    procedure SetIMPORTE_COMISIONValue(const aValue: Currency); virtual;

    { Properties }
    property ID_EMPRESA : Integer read GetID_EMPRESAValue write SetID_EMPRESAValue;
    property OldID_EMPRESA : Integer read GetOldID_EMPRESAValue;
    property ID_AGENTE : Integer read GetID_AGENTEValue write SetID_AGENTEValue;
    property OldID_AGENTE : Integer read GetOldID_AGENTEValue;
    property AGENTE : String read GetAGENTEValue write SetAGENTEValue;
    property OldAGENTE : String read GetOldAGENTEValue;
    property ID_FACTURA : Integer read GetID_FACTURAValue write SetID_FACTURAValue;
    property OldID_FACTURA : Integer read GetOldID_FACTURAValue;
    property ID_COMISION_LIQUIDADA : Integer read GetID_COMISION_LIQUIDADAValue write SetID_COMISION_LIQUIDADAValue;
    property OldID_COMISION_LIQUIDADA : Integer read GetOldID_COMISION_LIQUIDADAValue;
    property FECHA : DateTime read GetFECHAValue write SetFECHAValue;
    property OldFECHA : DateTime read GetOldFECHAValue;
    property REFERENCIA : String read GetREFERENCIAValue write SetREFERENCIAValue;
    property OldREFERENCIA : String read GetOldREFERENCIAValue;
    property SITUACION : String read GetSITUACIONValue write SetSITUACIONValue;
    property OldSITUACION : String read GetOldSITUACIONValue;
    property ID_CLIENTE : Integer read GetID_CLIENTEValue write SetID_CLIENTEValue;
    property OldID_CLIENTE : Integer read GetOldID_CLIENTEValue;
    property CLIENTE : String read GetCLIENTEValue write SetCLIENTEValue;
    property OldCLIENTE : String read GetOldCLIENTEValue;
    property ID_PROVEEDOR : Integer read GetID_PROVEEDORValue write SetID_PROVEEDORValue;
    property OldID_PROVEEDOR : Integer read GetOldID_PROVEEDORValue;
    property PROVEEDOR : String read GetPROVEEDORValue write SetPROVEEDORValue;
    property OldPROVEEDOR : String read GetOldPROVEEDORValue;
    property COMISION : Float read GetCOMISIONValue write SetCOMISIONValue;
    property OldCOMISION : Float read GetOldCOMISIONValue;
    property IMPORTE_COMISIONABLE : Currency read GetIMPORTE_COMISIONABLEValue write SetIMPORTE_COMISIONABLEValue;
    property OldIMPORTE_COMISIONABLE : Currency read GetOldIMPORTE_COMISIONABLEValue;
    property IMPORTE_COMISION : Currency read GetIMPORTE_COMISIONValue write SetIMPORTE_COMISIONValue;
    property OldIMPORTE_COMISION : Currency read GetOldIMPORTE_COMISIONValue;

  public
    constructor Create(aBusinessProcessor: TDABusinessProcessor); override;
    destructor Destroy; override;

  end;

implementation

uses
  Variants, uROBinaryHelpers;

{ TFacturas_ComisionBusinessProcessorRules }
constructor TFacturas_ComisionBusinessProcessorRules.Create(aBusinessProcessor: TDABusinessProcessor);
begin
  inherited;
end;

destructor TFacturas_ComisionBusinessProcessorRules.Destroy;
begin
  inherited;
end;

function TFacturas_ComisionBusinessProcessorRules.GetID_EMPRESAValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_Facturas_ComisionID_EMPRESA];
end;

function TFacturas_ComisionBusinessProcessorRules.GetOldID_EMPRESAValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_Facturas_ComisionID_EMPRESA];
end;

procedure TFacturas_ComisionBusinessProcessorRules.SetID_EMPRESAValue(const aValue: Integer);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_Facturas_ComisionID_EMPRESA] := aValue;
end;

function TFacturas_ComisionBusinessProcessorRules.GetID_AGENTEValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_Facturas_ComisionID_AGENTE];
end;

function TFacturas_ComisionBusinessProcessorRules.GetOldID_AGENTEValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_Facturas_ComisionID_AGENTE];
end;

procedure TFacturas_ComisionBusinessProcessorRules.SetID_AGENTEValue(const aValue: Integer);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_Facturas_ComisionID_AGENTE] := aValue;
end;

function TFacturas_ComisionBusinessProcessorRules.GetAGENTEValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_Facturas_ComisionAGENTE];
end;

function TFacturas_ComisionBusinessProcessorRules.GetOldAGENTEValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_Facturas_ComisionAGENTE];
end;

procedure TFacturas_ComisionBusinessProcessorRules.SetAGENTEValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_Facturas_ComisionAGENTE] := aValue;
end;

function TFacturas_ComisionBusinessProcessorRules.GetID_FACTURAValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_Facturas_ComisionID_FACTURA];
end;

function TFacturas_ComisionBusinessProcessorRules.GetOldID_FACTURAValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_Facturas_ComisionID_FACTURA];
end;

procedure TFacturas_ComisionBusinessProcessorRules.SetID_FACTURAValue(const aValue: Integer);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_Facturas_ComisionID_FACTURA] := aValue;
end;

function TFacturas_ComisionBusinessProcessorRules.GetID_COMISION_LIQUIDADAValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_Facturas_ComisionID_COMISION_LIQUIDADA];
end;

function TFacturas_ComisionBusinessProcessorRules.GetOldID_COMISION_LIQUIDADAValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_Facturas_ComisionID_COMISION_LIQUIDADA];
end;

procedure TFacturas_ComisionBusinessProcessorRules.SetID_COMISION_LIQUIDADAValue(const aValue: Integer);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_Facturas_ComisionID_COMISION_LIQUIDADA] := aValue;
end;

function TFacturas_ComisionBusinessProcessorRules.GetFECHAValue: DateTime;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_Facturas_ComisionFECHA];
end;

function TFacturas_ComisionBusinessProcessorRules.GetOldFECHAValue: DateTime;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_Facturas_ComisionFECHA];
end;

procedure TFacturas_ComisionBusinessProcessorRules.SetFECHAValue(const aValue: DateTime);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_Facturas_ComisionFECHA] := aValue;
end;

function TFacturas_ComisionBusinessProcessorRules.GetREFERENCIAValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_Facturas_ComisionREFERENCIA];
end;

function TFacturas_ComisionBusinessProcessorRules.GetOldREFERENCIAValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_Facturas_ComisionREFERENCIA];
end;

procedure TFacturas_ComisionBusinessProcessorRules.SetREFERENCIAValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_Facturas_ComisionREFERENCIA] := aValue;
end;

function TFacturas_ComisionBusinessProcessorRules.GetSITUACIONValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_Facturas_ComisionSITUACION];
end;

function TFacturas_ComisionBusinessProcessorRules.GetOldSITUACIONValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_Facturas_ComisionSITUACION];
end;

procedure TFacturas_ComisionBusinessProcessorRules.SetSITUACIONValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_Facturas_ComisionSITUACION] := aValue;
end;

function TFacturas_ComisionBusinessProcessorRules.GetID_CLIENTEValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_Facturas_ComisionID_CLIENTE];
end;

function TFacturas_ComisionBusinessProcessorRules.GetOldID_CLIENTEValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_Facturas_ComisionID_CLIENTE];
end;

procedure TFacturas_ComisionBusinessProcessorRules.SetID_CLIENTEValue(const aValue: Integer);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_Facturas_ComisionID_CLIENTE] := aValue;
end;

function TFacturas_ComisionBusinessProcessorRules.GetCLIENTEValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_Facturas_ComisionCLIENTE];
end;

function TFacturas_ComisionBusinessProcessorRules.GetOldCLIENTEValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_Facturas_ComisionCLIENTE];
end;

procedure TFacturas_ComisionBusinessProcessorRules.SetCLIENTEValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_Facturas_ComisionCLIENTE] := aValue;
end;

function TFacturas_ComisionBusinessProcessorRules.GetID_PROVEEDORValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_Facturas_ComisionID_PROVEEDOR];
end;

function TFacturas_ComisionBusinessProcessorRules.GetOldID_PROVEEDORValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_Facturas_ComisionID_PROVEEDOR];
end;

procedure TFacturas_ComisionBusinessProcessorRules.SetID_PROVEEDORValue(const aValue: Integer);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_Facturas_ComisionID_PROVEEDOR] := aValue;
end;

function TFacturas_ComisionBusinessProcessorRules.GetPROVEEDORValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_Facturas_ComisionPROVEEDOR];
end;

function TFacturas_ComisionBusinessProcessorRules.GetOldPROVEEDORValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_Facturas_ComisionPROVEEDOR];
end;

procedure TFacturas_ComisionBusinessProcessorRules.SetPROVEEDORValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_Facturas_ComisionPROVEEDOR] := aValue;
end;

function TFacturas_ComisionBusinessProcessorRules.GetCOMISIONValue: Float;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_Facturas_ComisionCOMISION];
end;

function TFacturas_ComisionBusinessProcessorRules.GetOldCOMISIONValue: Float;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_Facturas_ComisionCOMISION];
end;

procedure TFacturas_ComisionBusinessProcessorRules.SetCOMISIONValue(const aValue: Float);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_Facturas_ComisionCOMISION] := aValue;
end;

function TFacturas_ComisionBusinessProcessorRules.GetIMPORTE_COMISIONABLEValue: Currency;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_Facturas_ComisionIMPORTE_COMISIONABLE];
end;

function TFacturas_ComisionBusinessProcessorRules.GetOldIMPORTE_COMISIONABLEValue: Currency;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_Facturas_ComisionIMPORTE_COMISIONABLE];
end;

procedure TFacturas_ComisionBusinessProcessorRules.SetIMPORTE_COMISIONABLEValue(const aValue: Currency);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_Facturas_ComisionIMPORTE_COMISIONABLE] := aValue;
end;

function TFacturas_ComisionBusinessProcessorRules.GetIMPORTE_COMISIONValue: Currency;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_Facturas_ComisionIMPORTE_COMISION];
end;

function TFacturas_ComisionBusinessProcessorRules.GetOldIMPORTE_COMISIONValue: Currency;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_Facturas_ComisionIMPORTE_COMISION];
end;

procedure TFacturas_ComisionBusinessProcessorRules.SetIMPORTE_COMISIONValue(const aValue: Currency);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_Facturas_ComisionIMPORTE_COMISION] := aValue;
end;


{ TDarReferenciaBusinessProcessorRules }
constructor TDarReferenciaBusinessProcessorRules.Create(aBusinessProcessor: TDABusinessProcessor);
begin
  inherited;
end;

destructor TDarReferenciaBusinessProcessorRules.Destroy;
begin
  inherited;
end;

function TDarReferenciaBusinessProcessorRules.GetVALORValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_DarReferenciaVALOR];
end;

function TDarReferenciaBusinessProcessorRules.GetOldVALORValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_DarReferenciaVALOR];
end;

procedure TDarReferenciaBusinessProcessorRules.SetVALORValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_DarReferenciaVALOR] := aValue;
end;


{ TComisionesBusinessProcessorRules }
constructor TComisionesBusinessProcessorRules.Create(aBusinessProcessor: TDABusinessProcessor);
begin
  inherited;
end;

destructor TComisionesBusinessProcessorRules.Destroy;
begin
  inherited;
end;

function TComisionesBusinessProcessorRules.GetIDValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_ComisionesID];
end;

function TComisionesBusinessProcessorRules.GetOldIDValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_ComisionesID];
end;

procedure TComisionesBusinessProcessorRules.SetIDValue(const aValue: Integer);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_ComisionesID] := aValue;
end;

function TComisionesBusinessProcessorRules.GetID_EMPRESAValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_ComisionesID_EMPRESA];
end;

function TComisionesBusinessProcessorRules.GetOldID_EMPRESAValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_ComisionesID_EMPRESA];
end;

procedure TComisionesBusinessProcessorRules.SetID_EMPRESAValue(const aValue: Integer);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_ComisionesID_EMPRESA] := aValue;
end;

function TComisionesBusinessProcessorRules.GetREFERENCIAValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_ComisionesREFERENCIA];
end;

function TComisionesBusinessProcessorRules.GetOldREFERENCIAValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_ComisionesREFERENCIA];
end;

procedure TComisionesBusinessProcessorRules.SetREFERENCIAValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_ComisionesREFERENCIA] := aValue;
end;

function TComisionesBusinessProcessorRules.GetID_AGENTEValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_ComisionesID_AGENTE];
end;

function TComisionesBusinessProcessorRules.GetOldID_AGENTEValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_ComisionesID_AGENTE];
end;

procedure TComisionesBusinessProcessorRules.SetID_AGENTEValue(const aValue: Integer);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_ComisionesID_AGENTE] := aValue;
end;

function TComisionesBusinessProcessorRules.GetDESCRIPCIONValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_ComisionesDESCRIPCION];
end;

function TComisionesBusinessProcessorRules.GetOldDESCRIPCIONValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_ComisionesDESCRIPCION];
end;

procedure TComisionesBusinessProcessorRules.SetDESCRIPCIONValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_ComisionesDESCRIPCION] := aValue;
end;

function TComisionesBusinessProcessorRules.GetFECHAValue: DateTime;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_ComisionesFECHA];
end;

function TComisionesBusinessProcessorRules.GetOldFECHAValue: DateTime;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_ComisionesFECHA];
end;

procedure TComisionesBusinessProcessorRules.SetFECHAValue(const aValue: DateTime);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_ComisionesFECHA] := aValue;
end;

function TComisionesBusinessProcessorRules.GetIMPORTE_TOTALValue: Float;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_ComisionesIMPORTE_TOTAL];
end;

function TComisionesBusinessProcessorRules.GetOldIMPORTE_TOTALValue: Float;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_ComisionesIMPORTE_TOTAL];
end;

procedure TComisionesBusinessProcessorRules.SetIMPORTE_TOTALValue(const aValue: Float);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_ComisionesIMPORTE_TOTAL] := aValue;
end;

function TComisionesBusinessProcessorRules.GetUSUARIOValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_ComisionesUSUARIO];
end;

function TComisionesBusinessProcessorRules.GetOldUSUARIOValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_ComisionesUSUARIO];
end;

procedure TComisionesBusinessProcessorRules.SetUSUARIOValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_ComisionesUSUARIO] := aValue;
end;

function TComisionesBusinessProcessorRules.GetNOMBREValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_ComisionesNOMBRE];
end;

function TComisionesBusinessProcessorRules.GetOldNOMBREValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_ComisionesNOMBRE];
end;

procedure TComisionesBusinessProcessorRules.SetNOMBREValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_ComisionesNOMBRE] := aValue;
end;


{ TComisiones_RefreshBusinessProcessorRules }
constructor TComisiones_RefreshBusinessProcessorRules.Create(aBusinessProcessor: TDABusinessProcessor);
begin
  inherited;
end;

destructor TComisiones_RefreshBusinessProcessorRules.Destroy;
begin
  inherited;
end;

function TComisiones_RefreshBusinessProcessorRules.GetIDValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_Comisiones_RefreshID];
end;

function TComisiones_RefreshBusinessProcessorRules.GetOldIDValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_Comisiones_RefreshID];
end;

procedure TComisiones_RefreshBusinessProcessorRules.SetIDValue(const aValue: Integer);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_Comisiones_RefreshID] := aValue;
end;

function TComisiones_RefreshBusinessProcessorRules.GetID_EMPRESAValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_Comisiones_RefreshID_EMPRESA];
end;

function TComisiones_RefreshBusinessProcessorRules.GetOldID_EMPRESAValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_Comisiones_RefreshID_EMPRESA];
end;

procedure TComisiones_RefreshBusinessProcessorRules.SetID_EMPRESAValue(const aValue: Integer);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_Comisiones_RefreshID_EMPRESA] := aValue;
end;

function TComisiones_RefreshBusinessProcessorRules.GetREFERENCIAValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_Comisiones_RefreshREFERENCIA];
end;

function TComisiones_RefreshBusinessProcessorRules.GetOldREFERENCIAValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_Comisiones_RefreshREFERENCIA];
end;

procedure TComisiones_RefreshBusinessProcessorRules.SetREFERENCIAValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_Comisiones_RefreshREFERENCIA] := aValue;
end;

function TComisiones_RefreshBusinessProcessorRules.GetID_AGENTEValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_Comisiones_RefreshID_AGENTE];
end;

function TComisiones_RefreshBusinessProcessorRules.GetOldID_AGENTEValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_Comisiones_RefreshID_AGENTE];
end;

procedure TComisiones_RefreshBusinessProcessorRules.SetID_AGENTEValue(const aValue: Integer);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_Comisiones_RefreshID_AGENTE] := aValue;
end;

function TComisiones_RefreshBusinessProcessorRules.GetDESCRIPCIONValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_Comisiones_RefreshDESCRIPCION];
end;

function TComisiones_RefreshBusinessProcessorRules.GetOldDESCRIPCIONValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_Comisiones_RefreshDESCRIPCION];
end;

procedure TComisiones_RefreshBusinessProcessorRules.SetDESCRIPCIONValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_Comisiones_RefreshDESCRIPCION] := aValue;
end;

function TComisiones_RefreshBusinessProcessorRules.GetFECHAValue: DateTime;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_Comisiones_RefreshFECHA];
end;

function TComisiones_RefreshBusinessProcessorRules.GetOldFECHAValue: DateTime;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_Comisiones_RefreshFECHA];
end;

procedure TComisiones_RefreshBusinessProcessorRules.SetFECHAValue(const aValue: DateTime);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_Comisiones_RefreshFECHA] := aValue;
end;

function TComisiones_RefreshBusinessProcessorRules.GetIMPORTE_TOTALValue: Float;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_Comisiones_RefreshIMPORTE_TOTAL];
end;

function TComisiones_RefreshBusinessProcessorRules.GetOldIMPORTE_TOTALValue: Float;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_Comisiones_RefreshIMPORTE_TOTAL];
end;

procedure TComisiones_RefreshBusinessProcessorRules.SetIMPORTE_TOTALValue(const aValue: Float);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_Comisiones_RefreshIMPORTE_TOTAL] := aValue;
end;

function TComisiones_RefreshBusinessProcessorRules.GetUSUARIOValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_Comisiones_RefreshUSUARIO];
end;

function TComisiones_RefreshBusinessProcessorRules.GetOldUSUARIOValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_Comisiones_RefreshUSUARIO];
end;

procedure TComisiones_RefreshBusinessProcessorRules.SetUSUARIOValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_Comisiones_RefreshUSUARIO] := aValue;
end;

function TComisiones_RefreshBusinessProcessorRules.GetNOMBREValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_Comisiones_RefreshNOMBRE];
end;

function TComisiones_RefreshBusinessProcessorRules.GetOldNOMBREValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_Comisiones_RefreshNOMBRE];
end;

procedure TComisiones_RefreshBusinessProcessorRules.SetNOMBREValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_Comisiones_RefreshNOMBRE] := aValue;
end;


{ TV_Detalles_Facturas_ComisionBusinessProcessorRules }
constructor TV_Detalles_Facturas_ComisionBusinessProcessorRules.Create(aBusinessProcessor: TDABusinessProcessor);
begin
  inherited;
end;

destructor TV_Detalles_Facturas_ComisionBusinessProcessorRules.Destroy;
begin
  inherited;
end;

function TV_Detalles_Facturas_ComisionBusinessProcessorRules.GetID_EMPRESAValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_V_Detalles_Facturas_ComisionID_EMPRESA];
end;

function TV_Detalles_Facturas_ComisionBusinessProcessorRules.GetOldID_EMPRESAValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_V_Detalles_Facturas_ComisionID_EMPRESA];
end;

procedure TV_Detalles_Facturas_ComisionBusinessProcessorRules.SetID_EMPRESAValue(const aValue: Integer);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_V_Detalles_Facturas_ComisionID_EMPRESA] := aValue;
end;

function TV_Detalles_Facturas_ComisionBusinessProcessorRules.GetID_AGENTEValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_V_Detalles_Facturas_ComisionID_AGENTE];
end;

function TV_Detalles_Facturas_ComisionBusinessProcessorRules.GetOldID_AGENTEValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_V_Detalles_Facturas_ComisionID_AGENTE];
end;

procedure TV_Detalles_Facturas_ComisionBusinessProcessorRules.SetID_AGENTEValue(const aValue: Integer);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_V_Detalles_Facturas_ComisionID_AGENTE] := aValue;
end;

function TV_Detalles_Facturas_ComisionBusinessProcessorRules.GetAGENTEValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_V_Detalles_Facturas_ComisionAGENTE];
end;

function TV_Detalles_Facturas_ComisionBusinessProcessorRules.GetOldAGENTEValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_V_Detalles_Facturas_ComisionAGENTE];
end;

procedure TV_Detalles_Facturas_ComisionBusinessProcessorRules.SetAGENTEValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_V_Detalles_Facturas_ComisionAGENTE] := aValue;
end;

function TV_Detalles_Facturas_ComisionBusinessProcessorRules.GetID_FACTURAValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_V_Detalles_Facturas_ComisionID_FACTURA];
end;

function TV_Detalles_Facturas_ComisionBusinessProcessorRules.GetOldID_FACTURAValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_V_Detalles_Facturas_ComisionID_FACTURA];
end;

procedure TV_Detalles_Facturas_ComisionBusinessProcessorRules.SetID_FACTURAValue(const aValue: Integer);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_V_Detalles_Facturas_ComisionID_FACTURA] := aValue;
end;

function TV_Detalles_Facturas_ComisionBusinessProcessorRules.GetID_COMISION_LIQUIDADAValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_V_Detalles_Facturas_ComisionID_COMISION_LIQUIDADA];
end;

function TV_Detalles_Facturas_ComisionBusinessProcessorRules.GetOldID_COMISION_LIQUIDADAValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_V_Detalles_Facturas_ComisionID_COMISION_LIQUIDADA];
end;

procedure TV_Detalles_Facturas_ComisionBusinessProcessorRules.SetID_COMISION_LIQUIDADAValue(const aValue: Integer);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_V_Detalles_Facturas_ComisionID_COMISION_LIQUIDADA] := aValue;
end;

function TV_Detalles_Facturas_ComisionBusinessProcessorRules.GetFECHAValue: DateTime;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_V_Detalles_Facturas_ComisionFECHA];
end;

function TV_Detalles_Facturas_ComisionBusinessProcessorRules.GetOldFECHAValue: DateTime;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_V_Detalles_Facturas_ComisionFECHA];
end;

procedure TV_Detalles_Facturas_ComisionBusinessProcessorRules.SetFECHAValue(const aValue: DateTime);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_V_Detalles_Facturas_ComisionFECHA] := aValue;
end;

function TV_Detalles_Facturas_ComisionBusinessProcessorRules.GetREFERENCIAValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_V_Detalles_Facturas_ComisionREFERENCIA];
end;

function TV_Detalles_Facturas_ComisionBusinessProcessorRules.GetOldREFERENCIAValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_V_Detalles_Facturas_ComisionREFERENCIA];
end;

procedure TV_Detalles_Facturas_ComisionBusinessProcessorRules.SetREFERENCIAValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_V_Detalles_Facturas_ComisionREFERENCIA] := aValue;
end;

function TV_Detalles_Facturas_ComisionBusinessProcessorRules.GetSITUACIONValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_V_Detalles_Facturas_ComisionSITUACION];
end;

function TV_Detalles_Facturas_ComisionBusinessProcessorRules.GetOldSITUACIONValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_V_Detalles_Facturas_ComisionSITUACION];
end;

procedure TV_Detalles_Facturas_ComisionBusinessProcessorRules.SetSITUACIONValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_V_Detalles_Facturas_ComisionSITUACION] := aValue;
end;

function TV_Detalles_Facturas_ComisionBusinessProcessorRules.GetID_CLIENTEValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_V_Detalles_Facturas_ComisionID_CLIENTE];
end;

function TV_Detalles_Facturas_ComisionBusinessProcessorRules.GetOldID_CLIENTEValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_V_Detalles_Facturas_ComisionID_CLIENTE];
end;

procedure TV_Detalles_Facturas_ComisionBusinessProcessorRules.SetID_CLIENTEValue(const aValue: Integer);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_V_Detalles_Facturas_ComisionID_CLIENTE] := aValue;
end;

function TV_Detalles_Facturas_ComisionBusinessProcessorRules.GetCLIENTEValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_V_Detalles_Facturas_ComisionCLIENTE];
end;

function TV_Detalles_Facturas_ComisionBusinessProcessorRules.GetOldCLIENTEValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_V_Detalles_Facturas_ComisionCLIENTE];
end;

procedure TV_Detalles_Facturas_ComisionBusinessProcessorRules.SetCLIENTEValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_V_Detalles_Facturas_ComisionCLIENTE] := aValue;
end;

function TV_Detalles_Facturas_ComisionBusinessProcessorRules.GetID_PROVEEDORValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_V_Detalles_Facturas_ComisionID_PROVEEDOR];
end;

function TV_Detalles_Facturas_ComisionBusinessProcessorRules.GetOldID_PROVEEDORValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_V_Detalles_Facturas_ComisionID_PROVEEDOR];
end;

procedure TV_Detalles_Facturas_ComisionBusinessProcessorRules.SetID_PROVEEDORValue(const aValue: Integer);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_V_Detalles_Facturas_ComisionID_PROVEEDOR] := aValue;
end;

function TV_Detalles_Facturas_ComisionBusinessProcessorRules.GetPROVEEDORValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_V_Detalles_Facturas_ComisionPROVEEDOR];
end;

function TV_Detalles_Facturas_ComisionBusinessProcessorRules.GetOldPROVEEDORValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_V_Detalles_Facturas_ComisionPROVEEDOR];
end;

procedure TV_Detalles_Facturas_ComisionBusinessProcessorRules.SetPROVEEDORValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_V_Detalles_Facturas_ComisionPROVEEDOR] := aValue;
end;

function TV_Detalles_Facturas_ComisionBusinessProcessorRules.GetCOMISIONValue: Float;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_V_Detalles_Facturas_ComisionCOMISION];
end;

function TV_Detalles_Facturas_ComisionBusinessProcessorRules.GetOldCOMISIONValue: Float;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_V_Detalles_Facturas_ComisionCOMISION];
end;

procedure TV_Detalles_Facturas_ComisionBusinessProcessorRules.SetCOMISIONValue(const aValue: Float);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_V_Detalles_Facturas_ComisionCOMISION] := aValue;
end;

function TV_Detalles_Facturas_ComisionBusinessProcessorRules.GetIMPORTE_COMISIONABLEValue: Currency;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_V_Detalles_Facturas_ComisionIMPORTE_COMISIONABLE];
end;

function TV_Detalles_Facturas_ComisionBusinessProcessorRules.GetOldIMPORTE_COMISIONABLEValue: Currency;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_V_Detalles_Facturas_ComisionIMPORTE_COMISIONABLE];
end;

procedure TV_Detalles_Facturas_ComisionBusinessProcessorRules.SetIMPORTE_COMISIONABLEValue(const aValue: Currency);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_V_Detalles_Facturas_ComisionIMPORTE_COMISIONABLE] := aValue;
end;

function TV_Detalles_Facturas_ComisionBusinessProcessorRules.GetIMPORTE_COMISIONValue: Currency;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_V_Detalles_Facturas_ComisionIMPORTE_COMISION];
end;

function TV_Detalles_Facturas_ComisionBusinessProcessorRules.GetOldIMPORTE_COMISIONValue: Currency;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_V_Detalles_Facturas_ComisionIMPORTE_COMISION];
end;

procedure TV_Detalles_Facturas_ComisionBusinessProcessorRules.SetIMPORTE_COMISIONValue(const aValue: Currency);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_V_Detalles_Facturas_ComisionIMPORTE_COMISION] := aValue;
end;


initialization
  RegisterBusinessProcessorRules(RID_Facturas_ComisionDelta, TFacturas_ComisionBusinessProcessorRules);
  RegisterBusinessProcessorRules(RID_DarReferenciaDelta, TDarReferenciaBusinessProcessorRules);
  RegisterBusinessProcessorRules(RID_ComisionesDelta, TComisionesBusinessProcessorRules);
  RegisterBusinessProcessorRules(RID_Comisiones_RefreshDelta, TComisiones_RefreshBusinessProcessorRules);
  RegisterBusinessProcessorRules(RID_V_Detalles_Facturas_ComisionDelta, TV_Detalles_Facturas_ComisionBusinessProcessorRules);

end.
